summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Niels Horn <niels.horn@gmail.com>2010-05-13 00:58:20 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:58:20 +0200
commitc3fae8dd50f68a504a3a92a60822b2c9aa71040b (patch)
tree88e623fd2376ff608e0061a5fe2c087b44badd24 /graphics
parent1ee1dde6b821bd27e33ef6e3e36ee6aa822ffc9d (diff)
downloadslackbuilds-c3fae8dd50f68a504a3a92a60822b2c9aa71040b.tar.gz
slackbuilds-c3fae8dd50f68a504a3a92a60822b2c9aa71040b.tar.xz
graphics/leocad: Added to 13.0 repository
Diffstat (limited to 'graphics')
-rw-r--r--graphics/leocad/README5
-rw-r--r--graphics/leocad/doinst.sh4
-rw-r--r--graphics/leocad/leocad.SlackBuild71
-rw-r--r--graphics/leocad/leocad.desktop10
-rw-r--r--graphics/leocad/leocad.info10
-rw-r--r--graphics/leocad/leocad.pngbin0 -> 329 bytes
-rw-r--r--graphics/leocad/slack-desc19
7 files changed, 119 insertions, 0 deletions
diff --git a/graphics/leocad/README b/graphics/leocad/README
new file mode 100644
index 0000000000..4f820a1181
--- /dev/null
+++ b/graphics/leocad/README
@@ -0,0 +1,5 @@
+LeoCAD is a CAD program that uses bricks similar to those
+found in many toys (but they don't represent any particular brand).
+Currently it uses a library of more than 1000 different pieces.
+
+This requires leocad_pieces.
diff --git a/graphics/leocad/doinst.sh b/graphics/leocad/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/graphics/leocad/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/graphics/leocad/leocad.SlackBuild b/graphics/leocad/leocad.SlackBuild
new file mode 100644
index 0000000000..4acc9a7fc7
--- /dev/null
+++ b/graphics/leocad/leocad.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for LeoCAD:
+# 3D design program for bricks
+
+# Written by Niels Horn - niels.horn@gmail.com
+# revision date 2009/10/10
+
+PRGNAM=leocad
+VERSION=0.75_r841
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+make config PREFIX=/usr DESTDIR=$PKG
+CFLAGS="$SLKCFLAGS" CPPFLAGS="$SLKCFLAGS" make
+make install
+
+strip --strip-unneeded $PKG/usr/bin/$PRGNAM
+
+# Move & Compress man pages
+mv $PKG/usr/share/man $PKG/usr/man
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+# Copy icon & desktop file to package
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+cat $CWD/$PRGNAM.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CREDITS.txt README.txt docs/CHANGES.txt docs/COPYING.txt docs/INSTALL.txt \
+ docs/LINUX.txt docs/TODO.txt $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/leocad/leocad.desktop b/graphics/leocad/leocad.desktop
new file mode 100644
index 0000000000..fd8ffbc739
--- /dev/null
+++ b/graphics/leocad/leocad.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Version=1.0
+Type=Application
+Name=leocad
+Comment=LeoCAD 3D Design program
+Categories=Graphics;
+Exec=/usr/bin/leocad
+Icon=leocad
+Terminal=false
+StartupNotify=false
diff --git a/graphics/leocad/leocad.info b/graphics/leocad/leocad.info
new file mode 100644
index 0000000000..a35b9844ae
--- /dev/null
+++ b/graphics/leocad/leocad.info
@@ -0,0 +1,10 @@
+PRGNAM="leocad"
+VERSION="0.75_r841"
+HOMEPAGE="http://www.leocad.org/"
+DOWNLOAD="http://www.nielshorn.net/_lib/download.php?file=leocad-0.75_r841.tar.gz"
+MD5SUM="583ea1815392f061c98931d88106ce83"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Niels Horn"
+EMAIL="niels.horn@gmail.com"
+APPROVED="rworkman"
diff --git a/graphics/leocad/leocad.png b/graphics/leocad/leocad.png
new file mode 100644
index 0000000000..2a766c616a
--- /dev/null
+++ b/graphics/leocad/leocad.png
Binary files differ
diff --git a/graphics/leocad/slack-desc b/graphics/leocad/slack-desc
new file mode 100644
index 0000000000..653d501b94
--- /dev/null
+++ b/graphics/leocad/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+leocad: leocad (CAD program for toy bricks)
+leocad:
+leocad: LeoCAD is a CAD program that uses bricks similar to those
+leocad: found in many toys (but they don't represent any particular brand).
+leocad: Currently it uses a library of more than 1000 different pieces.
+leocad:
+leocad: http://www.leocad.org/
+leocad:
+leocad:
+leocad:
+leocad: